body {
  margin: 0;
  padding: 0;
  background: rgb(20, 136, 91);
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
}

#verticalButtons {
  display: flex;
  width: 42%;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
#verticalButtons h2 {
  color: white;
  font-family: "Lucida Sans", "Lucida Sans Regular", "Lucida Grande",
    "Lucida Sans Unicode", Geneva, Verdana, sans-serif;
}

#distTrv {
  color: black;
  font-size: 20px;
}

button {
  border: none;
  border-radius: 5px;
  width: 25%;
  padding: 15px;
  margin: 3px;
  cursor: pointer;
  font-size: 15px;
  transition: background-color 0.3s, color 0.3s;
  position: relative;
}
/* button:hover {
  background-color: rgba(0, 0, 0, 0.2);
} */
button:active {
  transform: scale(0.95); 
}
.save-button {
  background-color: rgb(16, 167, 16);
  color: white;
}
.discard-button {
  background-color: rgb(255, 55, 55);
  color: white;
}
.next-button {
  background-color: rgb(236, 236, 75);
}
/* info button */
.info-button {
  position: absolute;
  top: 50%;
  right: 5px;
  transform: translateY(-50%);
  background-color: rgba(0, 0, 0, 0.2);
  color: white;
  font-size: 14px;
  padding: 5px;
  border-radius: 50%;
  text-align: center;
  line-height: 1;
  cursor: pointer;
  z-index: 1; /* Ensure the info button appears above other content */
  opacity: 0;
  transition: opacity 0.3s;
}

button:hover .info-button {
  opacity: 1;
}
button:hover .info-button::before {
  content: attr(data-title);
  position: absolute;
  top: -30px;
  left: 50%;
  transform: translateX(-50%);
  background-color: rgba(0, 0, 0, 0.7);
  color: white;
  font-size: 12px;
  padding: 5px;
  border-radius: 5px;
  white-space: nowrap;
  z-index: 2; /* Ensure the text appears above the info button */
}

/* popup section */
#popup {
  margin-top: 100px;
}
@keyframes pulsate {
  0% {
    transform: scale(1);
    box-shadow: 0 0 2px 4px rgba(0, 0, 0, 0.1);
  }
  50% {
    transform: scale(1.2);
    box-shadow: 0 2px 6px 8px rgba(0, 0, 0, 0.2);
  }
  100% {
    transform: scale(1);
    box-shadow: 0 2px 4px 8px rgba(0, 0, 0, 0.1);
  }
}
#popupLink {
  display: inline-block;
  padding: 10px 20px;
  background-color: white;
  color: rgb(20, 136, 91);
  text-decoration: none;
  border-radius: 5px;
  transition: background-color 0.3s ease-in-out;
  font-family: "Lucida Sans", "Lucida Sans Regular", "Lucida Grande",
    "Lucida Sans Unicode", Geneva, Verdana, sans-serif;
  animation: pulsate 2s infinite;
}
#popupLink:hover {
  /* background-color: rgb(61, 182, 135);
    color: white; */
  animation: none;
}
.popup-overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  justify-content: center;
  align-items: center;
  opacity: 0; /* Start with opacity 0 to hide the popup */
  transition: opacity 0.3s ease-in-out; /* Fade-in transition effect */
}

.popup-content {
  background-color: white;
  padding: 20px;
  border-radius: 5px;
}
.popup-content p {
  line-height: 30px;
  font-size: 20px;
  color: black;
}

#closeButton {
  margin-top: 10px;
  width: 70px;
  height: 40px;
  background-color: rgb(20, 136, 91);
  color: white;
}
.tab-head {
  font-weight: bold;
}
#tabButtons {
  display: flex;
  gap: 4px;
  justify-content: center;
}

#tabButtons button {
  padding: 8px 16px;
  background-color: #ccc; /* Default tab button color */
  border: none;
  border-radius: 5px;
  font-size: 16px;
  cursor: pointer;
}

#tabButtons button.active {
  background-color: rgb(20, 136, 91); /* Active tab button color */
  color: #fff;
}

#carCanvas {
  background-color: rgb(79, 71, 71);
}
#networkCanvas {
  background-color: rgb(116, 58, 0);
}
